#include<iostream>
using namespace std;
int main()
{
    int box[100000], n, d=0;
    bool s[100000];
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>box[i];
        d+=box[i];
        s[i]=true;
    }
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(box[j]>box[i])swap(box[i], box[j]);
        }
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(box[i]<=box[j]-1 and s[j]==true)
            {
                d-=box[i];
                s[j]=false;
                j=n;
            }
        }
    }
    cout<<d<<endl;

    return 0;
}
